org.eclipse.oomph.predicates

## Interface NotPredicate

- All Superinterfaces:
    EObject, ModelElement, Notifier, Predicate
  All Known Implementing Classes:
    NotPredicateImpl

      public interface NotPredicate
      extends Predicate

  A representation of the model object 'Not Predicate'.

  The following features are supported:

  - `Operand`
  See Also:
    `PredicatesPackage.getNotPredicate()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Predicate` | `getOperand()` Returns the value of the 'Operand' containment reference.
    `void` | `setOperand(Predicate value)` Sets the value of the '`Operand`' containment reference.

    - ### Methods inherited from interface org.eclipse.oomph.predicates.Predicate

      `matches`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getOperand

          Predicate getOperand()

      Returns the value of the 'Operand' containment reference.

      If the meaning of the 'Operand' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Operand' containment reference.
      See Also:
        `setOperand(Predicate)`, `PredicatesPackage.getNotPredicate_Operand()`
      Generated
      Model
        containment="true"

    - #### setOperand

          void setOperand(Predicate value)

      Sets the value of the '`Operand`' containment reference.
      Parameters:
        `value` - the new value of the 'Operand' containment reference.
      See Also:
        `getOperand()`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html